Uploaded image for project: 'CloverDX'
  1. CloverDX
  2. CLO-17942

Drop support of TLS v1.0 and v1.1 for Data Services HTTPS Connectors

    XMLWordPrintable

    Details

    • Story Points:
      2
    • QA Testing:
      JUnit test
    • QA Test Identification:
      com.cloveretl.http.server.jetty.test.JettyServerTest.testHttps_tlsv11()
    • Sprint:
      Green Sprint 102, Green Sprint 103

      Description

      In CloverDX 5.5.0, we have updated Jetty to version 9.4.22. This version supports only TLS v1.2 by default, older versions of TLS and relevant cipher suites are considered weak and therefore disabled.
      We have enabled them to keep backward compatibility, but we should consider disabling them as well.
      For more info see https://bug.cloverdx.com/browse/CLO-17807?focusedCommentId=100439&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-100439

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              michalicaj Jano Michalica (Inactive)
              Reporter:
              hajekt Tomas Hajek
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: